No-operation dummy renderer. Used for audio only.

### Hierarchy

- NoopRenderer

### Implements

- IRenderer

## Index

### Methods

- appendContent
- appendSuggest
- init
- render

## Methods

### appendContent

- appendContent(element: HTMLElement): void

- Implementation of IRenderer.appendContent

  - Defined in lib/renderer/NoopRenderer.ts:11

  Appends the incoming {@link HTMLElement} to the content div which is specified in the used renderer

  #### Parameters

  - ##### element: HTMLElement

  #### Returns void

### appendSuggest

- appendSuggest(element: HTMLElement): void

- Implementation of IRenderer.appendSuggest

  - Defined in lib/renderer/NoopRenderer.ts:18

  Appends the incoming {@link HTMLElement} to the suggestion div which is specified in the used renderer

  #### Parameters

  - ##### element: HTMLElement

  #### Returns void

### init

- init(channelId?: undefined | string): void

- Implementation of IRenderer.init

  - Defined in lib/renderer/NoopRenderer.ts:29

  #### Parameters

  - ##### Optional channelId: undefined | string

  #### Returns void

### render

- render(message: ISpecification | IRenderable, containerType?: IStackeable): HTMLElement[]

- Implementation of IRenderer.render

  - Defined in lib/renderer/NoopRenderer.ts:25

  Renders an element

  #### Parameters

  - ##### message: ISpecification | IRenderable

  - ##### Optional containerType: IStackeable

  #### Returns HTMLElement[]

Generated using TypeDoc